%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:			os-net-config
Version:		5.0.0
Release:		5%{?dist}
Summary:		Host network configuration tool

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0:		https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
#patches_base=+2
#
Patch0001: 0001-Add-support-for-name-replacement-in-OVS_EXTRA.patch
Patch0002: 0002-Add-ovs_fail_mode-option-for-OVS-bridges.patch
Patch0003: 0003-Stop-dhclient-in-os-net-config-if-interface-not-set-.patch

BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python2-devel
BuildRequires:	python-pbr
BuildRequires:	python-sphinx
BuildRequires:	python-oslo-sphinx

Requires:	python-setuptools
Requires:	python-anyjson
Requires:	python-babel
Requires:	python-eventlet
Requires:	python-oslo-concurrency
Requires:	python-oslo-config
Requires:	python-oslo-utils
Requires:	python-netaddr
Requires:	python-iso8601
Requires:	python-six >= 1.5.0
Requires:	initscripts
Requires:	PyYAML
Requires:	python-pbr

%description
Host network configuration tool for OpenStack.

%prep

%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

%build
%{__python} setup.py build
%{__python} setup.py build_sphinx

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.rst
%doc LICENSE
%doc doc/build/html
%{_bindir}/os-net-config
%{python_sitelib}/os_net_config*


%changelog
* Fri Nov 18 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-5
- Stop dhclient in os-net-config if interface not set for DHCP (rhbz#1382653)

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-4
- add back in missing Requires python-pbr

* Wed Nov 16 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-3
- finish removing pbr removal workaround

* Wed Nov 16 2016 Mike Burns <mburns@redhat.com> 5.0.0-2
- Add ovs_fail_mode option for OVS bridges

* Thu Oct 06 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-1
- Update to 5.0.0

* Fri Sep 30 2016 Alfredo Moralejo <amoralej@redhat.com> 5.0.0-0.2.0rc2
- Update to 5.0.0.0rc2

* Wed Sep 14 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-0.1.0b3
- Update to 5.0.0.0b3

